OTBGUI_IMAGECLASSIFIER(1)

NAME
otbgui_ImageClassifier - OTB ImageClassifier application

DESCRIPTION
This is the ImageClassifier application, version 5.2.0 Performs a classification of the input image according to a model file.

Complete documentation: http://www.orfeo-toolbox.org/Applications/ImageClassifier.html

  Parameters:

-progress <boolean>
    Report progress

 -in <string> Input Image (mandatory)

-mask
    <string> Input Mask (optional, off by default)

 -model <string> Model file (mandatory)

-imstat
    <string> Statistics file (optional, off by default)

 -out <string> [pixel] Output Image [pixel=uint8/uint16/int16/uint32/int32/float/double] (default value is uint8) (mandatory)

-confmap
    <string> [pixel] Confidence map [pixel=uint8/uint16/int16/uint32/int32/float/double] (default value is double) (optional, off by default)

-ram
    <int32> Available RAM (Mb) (optional, off by default, default value is 128)

-inxml
    <string> Load otb application from xml file (optional, off by default)

EXAMPLES
otbgui_ImageClassifier -in QB_1_ortho.tif -imstat EstimateImageStatisticsQB1.xml -model clsvmModelQB1.svm -out clLabeledImageQB1.tif

SEE ALSO
The full documentation for otbgui_ImageClassifier is maintained as a Texinfo manual. If the info and otbgui_ImageClassifier programs are properly installed at your site, the command

    info otbgui_ImageClassifier

should give you access to the complete manual.